package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ServiceCateMapper;
import com.ruoyi.system.domain.ServiceCate;
import com.ruoyi.system.service.IServiceCateService;

/**
 * 服务分类Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
@Service
public class ServiceCateServiceImpl implements IServiceCateService 
{
    @Autowired
    private ServiceCateMapper serviceCateMapper;

    /**
     * 查询服务分类
     * 
     * @param id 服务分类主键
     * @return 服务分类
     */
    @Override
    public ServiceCate selectServiceCateById(Long id)
    {
        return serviceCateMapper.selectServiceCateById(id);
    }

    /**
     * 查询服务分类列表
     * 
     * @param serviceCate 服务分类
     * @return 服务分类
     */
    @Override
    public List<ServiceCate> selectServiceCateList(ServiceCate serviceCate)
    {
        return serviceCateMapper.selectServiceCateList(serviceCate);
    }

    /**
     * 新增服务分类
     * 
     * @param serviceCate 服务分类
     * @return 结果
     */
    @Override
    public int insertServiceCate(ServiceCate serviceCate)
    {
        return serviceCateMapper.insertServiceCate(serviceCate);
    }

    /**
     * 修改服务分类
     * 
     * @param serviceCate 服务分类
     * @return 结果
     */
    @Override
    public int updateServiceCate(ServiceCate serviceCate)
    {
        return serviceCateMapper.updateServiceCate(serviceCate);
    }

    /**
     * 批量删除服务分类
     * 
     * @param ids 需要删除的服务分类主键
     * @return 结果
     */
    @Override
    public int deleteServiceCateByIds(Long[] ids)
    {
        return serviceCateMapper.deleteServiceCateByIds(ids);
    }

    /**
     * 删除服务分类信息
     * 
     * @param id 服务分类主键
     * @return 结果
     */
    @Override
    public int deleteServiceCateById(Long id)
    {
        return serviceCateMapper.deleteServiceCateById(id);
    }
}
